# encoding: UTF-8
# language: ru
  
  Функция: Проверить наличие полей элементов
    
    Сценарий: Проверка наличия полей элементов

      Дано Перейти на страницу "https://calcus.ru/kalkulyator-ipoteki"
      Дано Проверить наличие поля заголовка "Ипотечный калькулятор"
      Дано Проверить наличие поля ссылки:"
            |Ссылки                    |
            |По стоимости недвижимости |
            |По сумме кредита          |
      Дано Проверить наличие поля текста:
            |Тексты                  |
            |Стоимость недвижимости  |
            |Первоначальный взнос    |
            |Сумма кредита           |
            |Срок кредита            |
            |Процентная ставка       |
            |Тип ежемесячных платежей|
      Когда Ввести значение "12000000" в поле "Стоимость недвижимости"
      И Выбрать значение "%" в выпадающем списке рядом с полем "Первоначальный взнос"
      И Ввести значение "20" в поле "Первоначальный взнос"
      Тогда Проверить, что в разделе "Первоначальный взнос" появился текст "(2 400 000 руб.)"
      И Проверить, что "Сумма кредита" равна "9 600 000 руб."
      Когда Ввести значение "20" в поле "Срок кредита"
      И Ввести значение, генерируемое методом generateNumber, в поле "Процентная ставка"
      И Проверить, что отмечен радиобаттон "Аннуитентные" и не отмечен радиобаттон "Дифференцированные"
      Когда Нажать на кнопку "Рассчитать"
      Тогда Проверить, что значение ежемесячного платежа соответствует значению, расчитанному по формуле